> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Notification Request Wallet Verification

> Lets an employee-seat holder publish a wallet-verification-request notification to org admins, deduped per 24 hours.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/notification-request-wallet-verification
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/notification-request-wallet-verification:
    post:
      operationId: notificationRequestWalletVerification
      summary: Notification Request Wallet Verification
      description: >-
        Lets an employee-seat holder publish a wallet-verification-request
        notification to org admins, deduped per 24 hours.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/NotificationRequestWalletVerificationRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/NotificationRequestWalletVerificationResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    NotificationRequestWalletVerificationRequest:
      type: object
      properties:
        walletID:
          type: string
          format: uuid
      required:
        - walletID
    NotificationRequestWalletVerificationResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
